Bug 437062 - Nouveau driver performance decreasing after a while
Nouveau driver performance decreasing after a while
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-11 20:11 EDT by Dennis Jacobfeuerborn
Modified: 2009-04-09 20:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-09 20:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (78 bytes, text/plain)
2008-03-12 11:03 EDT, Dennis Jacobfeuerborn
no flags Details
Xorg.log resulting from the xorg.conf above (51.12 KB, text/plain)
2008-03-12 11:04 EDT, Dennis Jacobfeuerborn
no flags Details
Xorg.log when running without xorg.conf (46.71 KB, text/plain)
2008-03-12 11:06 EDT, Dennis Jacobfeuerborn
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 15344 None None None Never

  None (edit)
Description Dennis Jacobfeuerborn 2008-03-11 20:11:11 EDT
When starting X the nouveau driver performs very well but after a while the
desktop starts to feel really sluggish, dragging windows becomes really slow and
rendering of window contents takes a while.

I also tried using xcompmgr with similar effects. In the case of xcompmgr when
dragging a window this window trails behind the mouse pointer significantly
"trying to catch up" with the mouse movements.
Comment 2 Matěj Cepl 2008-03-12 08:12:20 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Dennis Jacobfeuerborn 2008-03-12 11:03:47 EDT
Created attachment 297778 [details]
Comment 4 Dennis Jacobfeuerborn 2008-03-12 11:04:42 EDT
Created attachment 297780 [details]
Xorg.log resulting from the xorg.conf above
Comment 5 Dennis Jacobfeuerborn 2008-03-12 11:06:16 EDT
Created attachment 297781 [details]
Xorg.log when running without xorg.conf
Comment 6 Dennis Jacobfeuerborn 2008-04-19 17:17:20 EDT
Adding upstream bug reference.
Comment 7 Bug Zapper 2008-05-14 01:58:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 9 Ben Skeggs 2009-04-09 02:20:26 EDT
Do you still have this hardware around?  If so, is this still an issue in F10 or F11?
Comment 10 Dennis Jacobfeuerborn 2009-04-09 10:09:33 EDT
Not the exact same hardware but I'm still running nvidia hardware (on-board 6150) and I just switched back to using nouveau a week ago. I haven't seen the symptoms so far so I guess this problem is fixed.
Comment 11 Ben Skeggs 2009-04-09 20:02:01 EDT
It's the same general architecture as the card you were running on, so I'll mark this as fixed then.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.